@ echo off

If exist Z_AITeamCounterStore.bat call Z_AITeamCounterStore
set /a number=number+0
If "%number%"=="7" set number=1
If "%number%"=="0" set number=1

echo *Important* Make sure you QUIT RA2 BEFORE running this program!
echo *Important* Before ADDING/CHANGING AI, you must reset "AI Set: 0-14" to
echo      the default (first) set (so you don't work/change in the wrong team).
echo                                                                                .
echo NOTE: This ROTATES THE "AI" TEAMS in 6 sets of 15 teams:
echo          (0-14, 15-29, 30-44, 45-59, 60-74, 75-89).
echo NOTE: The set selected is the set of Teams that you face in "Events".
echo NOTE: All 90 Teams are available in "Exhibition" (in their selected order).
echo                                                                                .
echo The AI Team Set currently selected is:
If "%number%"=="1" echo                                            AI Set: 0-14
If "%number%"=="2" echo                                            AI Set: 15-29
If "%number%"=="3" echo                                            AI Set: 30-44
If "%number%"=="4" echo                                            AI Set: 45-59
If "%number%"=="5" echo                                            AI Set: 60-74
If "%number%"=="6" echo                                            AI Set: 75-89
echo                                                                                .
echo    TO CHANGE the current AI Team Set to the next Set:....... HIT any key.
echo                                                                                .
echo    TO CANCEL this action:................................ EXIT this window.
echo                                                                                .
echo                                                                                .

PAUSE
set /a number=number+1
echo set number=%number% >Z_AITeamCounterStore.bat


-----------------------------

@echo on
cd AI
ren Teams.txt Teams.txt.store
ren Teams2.txt Teams.txt
ren Teams3.txt Teams2.txt
ren Teams4.txt Teams3.txt
ren Teams5.txt Teams4.txt
ren Teams6.txt Teams5.txt
ren Teams.txt.store Teams6.txt



ren Team0 Team0.store
ren Team1 Team1.store
ren Team2 Team2.store
ren Team3 Team3.store
ren Team4 Team4.store
ren Team5 Team5.store
ren Team6 Team6.store
ren Team7 Team7.store
ren Team8 Team8.store
ren Team9 Team9.store
ren Team10 Team10.store
ren Team11 Team11.store
ren Team12 Team12.store
ren Team13 Team13.store
ren Team14 Team14.store

ren Team15 Team0
ren Team16 Team1
ren Team17 Team2
ren Team18 Team3
ren Team19 Team4
ren Team20 Team5
ren Team21 Team6
ren Team22 Team7
ren Team23 Team8
ren Team24 Team9
ren Team25 Team10
ren Team26 Team11
ren Team27 Team12
ren Team28 Team13
ren Team29 Team14

ren Team30 Team15
ren Team31 Team16
ren Team32 Team17
ren Team33 Team18
ren Team34 Team19
ren Team35 Team20
ren Team36 Team21
ren Team37 Team22
ren Team38 Team23
ren Team39 Team24
ren Team40 Team25
ren Team41 Team26
ren Team42 Team27
ren Team43 Team28
ren Team44 Team29

ren Team45 Team30
ren Team46 Team31
ren Team47 Team32
ren Team48 Team33
ren Team49 Team34
ren Team50 Team35
ren Team51 Team36
ren Team52 Team37
ren Team53 Team38
ren Team54 Team39
ren Team55 Team40
ren Team56 Team41
ren Team57 Team42
ren Team58 Team43
ren Team59 Team44

ren Team60 Team45
ren Team61 Team46
ren Team62 Team47
ren Team63 Team48
ren Team64 Team49
ren Team65 Team50
ren Team66 Team51
ren Team67 Team52
ren Team68 Team53
ren Team69 Team54
ren Team70 Team55
ren Team71 Team56
ren Team72 Team57
ren Team73 Team58
ren Team74 Team59

ren Team75 Team60
ren Team76 Team61
ren Team77 Team62
ren Team78 Team63
ren Team79 Team64
ren Team80 Team65
ren Team81 Team66
ren Team82 Team67
ren Team83 Team68
ren Team84 Team69
ren Team85 Team70
ren Team86 Team71
ren Team87 Team72
ren Team88 Team73
ren Team89 Team74

ren Team0.store Team75
ren Team1.store Team76
ren Team2.store Team77
ren Team3.store Team78
ren Team4.store Team79
ren Team5.store Team80
ren Team6.store Team81
ren Team7.store Team82
ren Team8.store Team83
ren Team9.store Team84
ren Team10.store Team85
ren Team11.store Team86
ren Team12.store Team87
ren Team13.store Team88
ren Team14.store Team89

cd ..
